Subject: bug#4710: 23.1.50; Bad display of underlines crossing line boundaries

From: "Drew Adams" <[email-masked]>
Date: Mon, 19 Sep 2011 19:21:51 -0700

> > Why assume that underlined whitespace should not show an underline?
> > Likewise for other face attributes.
> 
> I believe you're confused: I'm talking about line-wrapping done by the
> redisplay engine.  I.e. there's no newline in the above example (but
> there are curly arrows in the fringe instead).

Fair enough; I didn't understand the context.

But even in that case, there could be an argument for showing the same face
attributes across the "split" (whatever you want to call it).  Not doing so
could give the impression that there is actually a break (change) in the face
attributes when there is not.  If you do that, then perhaps some additional
display artifact should convey that - e.g., perhaps a different fringe marker.

This sounds like something that users might want to be able to control (e.g.
optional).  Dunno (I don't use such line wrapping/soft returns, myself).